@page
@model WebApp.Pages_Cars.EditModel

@{
    ViewData["Title"] = "Edit";
}

<h1>Edit</h1>

<h4>@Model.CarInfo</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form method="post">
            <div asp-validation-summary="All" class="text-danger"></div>
            <input type="hidden" asp-for="Car.CarId" />
            <div class="form-group">
                <label asp-for="Car.ModelId" class="control-label"></label>
                <select asp-for="Car.ModelId" class="form-control" asp-items="Model.ModelSelectList"></select>
                <span asp-validation-for="Car.ModelId" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Car.RegistrationNumber" class="control-label"></label>
                <input asp-for="Car.RegistrationNumber" class="form-control" />
                <span asp-validation-for="Car.RegistrationNumber" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Car.ManufactureYear" class="control-label"></label>
                <input asp-for="Car.ManufactureYear" class="form-control" />
                <span asp-validation-for="Car.ManufactureYear" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-page="./Index">Cars list</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
